import 'package:flutter/material.dart';

import 'slick_text_input.dart';

class RequiredSlickTextInput extends StatelessWidget {
  RequiredSlickTextInput({
    Key key,
    this.initialValue,
    this.labelText,
    this.onChanged,
    this.suffix,
    this.prefix,
    this.readonly = false,
  }) : super(key: key);

  final String initialValue;
  final String labelText;
  final ValueChanged<String> onChanged;
  final Widget suffix;
  final Widget prefix;
  final bool readonly;

  @override
  Widget build(BuildContext context) {
    return SlickTextInput(
      initialValue: initialValue,
      labelText: labelText,
      suffix: suffix,
      prefix: prefix,
      readOnly: readonly,
      onChanged: onChanged,
      validator: (String value) {
        if (value.isEmpty) {
          return '$labelText is required';
        }
        return null;
      },
    );
  }
}
