import 'package:slick/configuration/slick_configuration.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class SlickSubTitle extends StatelessWidget {
  SlickSubTitle({
    Key key,
    @required this.labelText,
    this.padding = const EdgeInsets.only(
      top: 24.0,
    ),
    this.color,
  }) : super(key: key);

  final String labelText;
  final EdgeInsetsGeometry padding;
  final Color color;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: padding,
      child: Text(
        labelText.toUpperCase(),
        style: GoogleFonts.barlow(
          fontSize: 16,
          fontWeight: FontWeight.w700,
          color: color == null ? SlickConfiguration.colors.subTitle : color,
        ),
      ),
    );
  }
}
