import 'package:flutter/material.dart';
import 'package:slick/configuration/slick_configuration.dart';
import 'package:slick/security/security.dart';
import 'route_configuration.dart';

class MenuConfiguration {
  static Menu get publicMenu {
    return SlickConfiguration.menus
        .where((element) => element.role == null)
        .first;
  }

  static List<RouteInfo> getRoutesForCurrentUser() {
    var currentUser = SlickSecurity.currentUser;
    if (currentUser == null) {
      return publicMenu.items;
    }

    var menuItems = SlickConfiguration.menus.where((menu) {
      if (menu.role == null) return false;
      return menu.role.title == currentUser.role.title;
    });

    if (menuItems.isEmpty) {
      return publicMenu.items;
    }

    return menuItems.first.items;
  }
}

class Menu {
  final SlickRole role;
  final List<RouteInfo> items;

  Menu({this.role, @required this.items});
}
