import 'route_configuration.dart';

class RoutePath {
  final String parameter;
  final String routeName;
  final bool isUnknown;

  RoutePath.home()
      : parameter = null,
        routeName = 'home',
        isUnknown = false;

  RoutePath.routeInfo(RouteInfo routeInfo, String parameter)
      : parameter = parameter,
        routeName = routeInfo.routeName,
        isUnknown = false;

  RoutePath.routeName(this.routeName)
      : parameter = null,
        isUnknown = false;

  RoutePath.withParameter(this.routeName, this.parameter) : isUnknown = false;

  RoutePath.unknown()
      : parameter = null,
        routeName = null,
        isUnknown = true;

  bool get isHomePage => routeName == 'home';

  bool get hasParameter => parameter != null;

  bool get hasRouteName => routeName != null;
}
