import 'base_logic.dart';

abstract class BaseEntityLogic extends BaseLogic {
  bool get isNewModel => throw 'Not implemented';

  Future<void> createModel() async {}
  Future<void> updateModel() async {}
  Future<void> loadModel(String routeParameter) async {}

  @override
  Future<void> init() async {
    if (currentRouteInfo.parameter.isNotEmpty) {
      await loadModel(currentRouteInfo.parameter);
    }
    notifyScreen();
  }

  Future<void> save() async {
    if (isNewModel) {
      await createModel();
    } else {
      await updateModel();
    }
    notifyScreen();
  }
}
